User account creation filtered due to spam.

Bug 18585 - uniform passing of the classpath parameter
Summary: uniform passing of the classpath parameter
Status: RESOLVED WONTFIX
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 3.4.3
: P5 enhancement
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks: 1374
  Show dependency treegraph
 
Reported: 2004-11-20 23:32 UTC by Bojan Antonovic
Modified: 2016-09-30 22:49 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-09-30 05:30:08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bojan Antonovic 2004-11-20 23:32:35 UTC
Sun:

java:
-classpath
-cp

javac:  
-classpath

GNU:

gij:
-classpath
-cp

gcj:
--classpath=

While gij is unified to java, so is gcj neither to javac or to any other.

What look better?
--cp
--classpath

which has some style, or

-cp
-classpath

which would be equal to java and gij. I prefer the last possiblity for gij and gcj.

It could be a 'de facto' standard and fixed in 4.0.

Bojan
Comment 1 Andrew Pinski 2004-11-21 00:02:38 UTC
Confirmed, related to PR 1374.
Comment 2 Bojan Antonovic 2004-11-21 01:16:25 UTC
Subject: Re:  uniform passing of the classpath parameter

pinskia at gcc dot gnu dot org wrote:

>------- Additional Comments From pinskia at gcc dot gnu dot org  2004-11-21 00:02 -------
>Confirmed, related to PR 1374.
>
>  
>
Ok. But from Sun's side, their actual verions 1.4 and 1.5 are the 
benchmark, and they are the same for this little topic.

Bojan
Comment 3 Tom Tromey 2004-11-27 01:32:25 UTC
The only missing option here is "gcj -cp foo".
cvs head gcj accepts "-classpath foo" (not sure if 3.x did).
gij accepts both short and long forms of options, and
understands "-cp".

Comment 4 Andrew Pinski 2005-11-02 17:16:11 UTC
All P1 enhancements not targeted towards 4.1, moving to P5.
Comment 5 Andrew Pinski 2016-09-30 22:49:27 UTC
Closing as won't fix as the Java front-end has been removed from the trunk.